%define name	konversation
%define version	0.17
%define release	2mdk

Name:		%name
Summary:	A user friendly IRC Client for KDE
Version:	%version
Release:	%release
License:	GPL
Group:		Networking/IRC
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}_16.png
Source2:	%{name}_32.png
Source3:	%{name}_48.png
BuildRoot:	%{_tmppath}/%{name}-root
URL:		http://konversation.sourceforge.net/
Requires:	kdebase >= 3.0
BuildRequires:	kdebase-devel

%description
A simple and easy to use IRC client for KDE with support for
strikeout; multi-channel joins; away / unaway messages; 
ignore list functionality; (experimental) support for foreign 
language characters; auto-connect to server; optional timestamps
to chat windows; configurable background colors and much more.

%prep
%setup -q

%build
export QTLIB=%{_libdir}/qt3/%{_lib}
%configure --with-xinerama --disable-rpath
%make

%install
rm -rf %{buildroot}
%makeinstall PACKAGE=%{name}
%{find_lang} %name

# Menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="X11" \
icon="%{name}.png" section="Networking/IRC" \
title="Konversation" longtitle="Konversation is an irc client"
EOF

#icon
install -d $RPM_BUILD_ROOT/%{_iconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README
%{_bindir}/%{name}*
%dir %{_datadir}/apps/%{name}
%{_datadir}/apps/%{name}
%{_datadir}/applications/kde/*
%{_datadir}/icons/*
%{_menudir}/*
%_datadir/apps/kconf_update/*
   
%dir %_docdir/HTML/da/konversation/
%doc %_docdir/HTML/da/konversation/common
%doc %_docdir/HTML/da/konversation/*.bz2
%doc %_docdir/HTML/da/konversation/*.docbook
   
%dir %_docdir/HTML/en/konversation/
%doc %_docdir/HTML/en/konversation/common
%doc %_docdir/HTML/en/konversation/*.bz2
%doc %_docdir/HTML/en/konversation/*.docbook
%doc %_docdir/HTML/en/konversation/*.png

%dir %_docdir/HTML/et/konversation/
%doc %_docdir/HTML/et/konversation/common
%doc %_docdir/HTML/et/konversation/*.bz2
%doc %_docdir/HTML/et/konversation/*.docbook

%dir %_docdir/HTML/it/konversation/
%doc %_docdir/HTML/it/konversation/common
%doc %_docdir/HTML/it/konversation/*.bz2
%doc %_docdir/HTML/it/konversation/*.docbook
%doc %_docdir/HTML/it/konversation/*.png

%dir %_docdir/HTML/pt/konversation/
%doc %_docdir/HTML/pt/konversation/common
%doc %_docdir/HTML/pt/konversation/*.bz2
%doc %_docdir/HTML/pt/konversation/*.docbook

%dir %_docdir/HTML/sv/konversation/
%doc %_docdir/HTML/sv/konversation/common
%doc %_docdir/HTML/sv/konversation/*.bz2
%doc %_docdir/HTML/sv/konversation/*.docbook

%dir %_docdir/HTML/nl/konversation/
%doc %_docdir/HTML/nl/konversation/common
%doc %_docdir/HTML/nl/konversation/*.bz2
%doc %_docdir/HTML/nl/konversation/*.docbook
   
%_datadir/config.kcfg/konversation.kcfg
%_datadir/services/*.protocol

%changelog
* Wed Apr 06 2005 Sebastien Savarin <plouf@mandrake.org> 0.17-2mdk
- Fix build on x86_64 thanks to 
  Nicolas Richard <kournikolas@yahoo.fr>

* Wed Apr 06 2005 Sebastien Savarin <plouf@mandrake.org> 0.17-1mdk
- 0.17
 
* Thu Mar 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.16-1mdk
- 0.16

* Wed Jan 19 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.15.1-1mdk
- 0.15.1

* Thu Dec 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.15-1mdk
- 0.15

* Mon Jul 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.14-1mdk
- 0.14

* Sat Jun 05 2004 Marcel Pol <mpol@mandrake.org> 0.13-2mdk
- reenable libtoolize

* Sat Nov 15 2003 Marcel Pol <mpol@gmx.net> 0.13-1mdk
- 0.13

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.12-2mdk
- Rebuild

* Tue May 27 2003 Marcel Pol <mpol@gmx.net> 0.12-1mdk
- initial mandrake package based on Robert Rockers specfile

